apiVersion: apps/v1
kind: Deployment
metadata:
  name: rabbit-dep
spec:
  replicas: 1
  selector:
    matchLabels:
      app: rabbit
  template:
    metadata:
      labels:
        app: rabbit
    spec:
      containers:
        - name: rabbitmq
          imagePullPolicy: Always
          image: docker.io/library/rabbitmq:3-management
          ports:
            - containerPort: 5672
              name: messagequeue
            - containerPort: 15672
              name: webui
